# land_surface_vegetation_conda

This repository includes the general land surface and vegetation Conda environment available for use on MN5 and Nord3v2.

In the "build" directory, you will find a YAML file that includes the list of Python packages installed. In the "packages" directory, there is a text file listing all the Python packages included in each Conda environment.

You can load the latest environment by using the following command:

```bash
conda activate /gpfs/projects/bsc32/repository/apps/conda_envs/LAND_may2024_v1
```


To test the installation of the environment by running the test script as below: 

```
python scripts/test_conda_env.py [path_to_land_may2024_v1.yml]
```

If you want to use the conda as your Jupyter kernel, you need to add it to you kernels: 
```
python -m ipykernel install --user --name=LAND_may2024_v1 --display-name "LAND May v1 2024"
```

be aware, the kernel you created, it is not anymore shared and only available for you and its a copy of the original conda. Any future changes to the shared conda environment is not reflected in you kernel.